Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataTableCollection

    java.lang.Object
      LumiSoft.Data.DataTableCollection

All Implemented Interfaces:
  java.lang.Iterable<DataTable>

    public class DataTableCollection

extends java.lang.Object
implements java.lang.Iterable<DataTable>

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`DataTable` | `Add(java.lang.String tableName)` Creates a DataTable object with the specified name and adds it to the collection.
`boolean` | `Contains(java.lang.String tableName)` Checks whether the collection contains a table with the specified name.
`DataTable` | `get(int index)` Gets the DataTable object at the specified index.
`DataTable` | `get(java.lang.String tableName)` Gets the DataTable object with the specified name.
`int` | `getCount()` Gets the total number of tables in a collection.
`java.util.Iterator<DataTable>` | `iterator()` Gets iterator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public DataTable Add(java.lang.String tableName)
                  throws java.lang.Exception

  Creates a DataTable object with the specified name and adds it to the collection.

  Parameters:
    `tableName` -
  Returns:
  Throws:
    `java.lang.Exception`

### Contains

    public boolean Contains(java.lang.String tableName)

  Checks whether the collection contains a table with the specified name.

  Parameters:
    `tableName` -
  Returns:

### getCount

    public int getCount()

  Gets the total number of tables in a collection.

  Returns:

### get

    public DataTable get(int index)

  Gets the DataTable object at the specified index.

  Parameters:
    `index` -
  Returns:

### get

    public DataTable get(java.lang.String tableName)

  Gets the DataTable object with the specified name.

  Parameters:
    `tableName` -
  Returns:

### iterator

    public java.util.Iterator<DataTable> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<DataTable>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD